This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 520175 - smoltGui 1.3-1 doesn't work
smoltGui 1.3-1 doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-28 14:16 EDT by Michel Duquaine
Modified: 2010-06-28 10:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Duquaine 2009-08-28 14:16:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Fedora 11 Gnome (2.26.3)
smolt.noarch                          1.3-1.fc11                 @updates       
smolt-gui.noarch                      1.3-1.fc11                 @updates       


How reproducible:

Click Application/SystemTools/Smolt : no window started
or
via terminal & commandline smoltGui : error message below

  
Actual results:

[michel@apollo ~]$ smoltGui
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 20, in <module>
    from PyQt4.QtCore import *
ImportError: No module named PyQt4.QtCore

Expected results:

Start a smolt window.

Additional info:

SmoltSendProfile works good.
Comment 1 Andre Robatino 2009-08-28 15:35:56 EDT
I didn't have smolt-gui installed before reading this, but installed it afterwards and it works for me (same versions of smolt and smolt-gui as yours).  Try uninstalling and reinstalling smolt-gui.
Comment 2 Michel Duquaine 2009-08-29 09:36:54 EDT
- uninstall + reinstall: still doesn't work.

- I have qt3 on my system (Gnome desktop) not qt4 (see below); that's perhaps the reason of the error.  But during install of package smoltGui, this dependency seems not to be checked.

[michel@apollo ~]$ yum list installed | grep qt
qt.x86_64                             1:4.5.2-2.fc11             @updates       
qt-x11.x86_64                         1:4.5.2-2.fc11             @updates       
qt3.x86_64                            3.3.8b-25.fc11             @fedora
Comment 3 Andre Robatino 2009-08-29 17:47:41 EDT
[andre@compaq-pc ~]$ yum list installed | grep qt
PackageKit-qt.x86_64                    0.4.9-1.fc11                   @updates 
avahi-qt3.x86_64                        0.6.25-3.fc11                  @updates 
pinentry-qt.x86_64                      0.7.6-1.fc11                   @updates 
polkit-qt.x86_64                        0.9.2-1.fc11                   @updates 
poppler-qt4.x86_64                      0.10.7-2.fc11                  @updates 
qt.i586                                 1:4.5.2-2.fc11                 @updates 
qt.x86_64                               1:4.5.2-2.fc11                 @updates 
qt-mysql.x86_64                         1:4.5.2-2.fc11                 @updates 
qt-x11.i586                             1:4.5.2-2.fc11                 @updates 
qt-x11.x86_64                           1:4.5.2-2.fc11                 @updates 
qt3.x86_64                              3.3.8b-25.fc11                 installed
qtscriptbindings.x86_64                 0.1.0-5.fc11                   installed
Comment 4 Gavin Simpson 2009-09-12 05:02:45 EDT
Same problem for me. Installed smolt-gui on my laptop as I wanted to provide the hardware on another bug report. Same error as OP. Remove -> Install and still fails to run.

$ yum list installed | grep qt
avahi-qt3.i586                        0.6.25-3.fc11              @updates       
qt.i586                               1:4.5.2-3.fc11             @updates       
qt-x11.i586                           1:4.5.2-3.fc11             @updates       
qt3.i586                              3.3.8b-25.fc11             installed
Comment 5 Mike McGrath 2009-09-12 08:37:03 EDT
PyQt4 will fix it, I'll be releasing a corrected version soon.
Comment 6 Bug Zapper 2010-04-28 06:02:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 10:21:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.